<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ClientSide.aspx.cs" Inherits="ClientSide" %>
<%@ Register TagPrefix="radCln" Namespace="Telerik.WebControls" Assembly="RadCalendar.Net2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <script type="text/javascript">
    DeleteOldSelectedDates = function(e)
    {
        var calendar = <%= RadCalendar1.ClientID %>;	        
        var target = FindTarget(e); //find the clicked cell	        
	    if (target.id.indexOf("_rs") > -1) //if the cell is row selector it has "_rs" in its id
        {
            ClearAll();//clear all previous selected cells                
            var rowCells = target.parentNode.getElementsByTagName("td"); //get all the cells of the row

            //loop through all row cells and select the ones, corresponding to a day cell (i.e. has a DayId)
            for(var i=0; i<rowCells.length; i++)
                if(rowCells[i].DayId) //if the cell is a Date cell it has DayId                
                {
                    var date = GetDateFromID(rowCells[i].DayId);                        
                    calendar.SelectDate(date);
                }
            }                  
        }
        
        // clear all the selected calendar days
        ClearAll = function()
        {
            var calendar = <%= RadCalendar1.ClientID %>;            
            calendar.UnselectDates(calendar.GetSelectedDates());
        }
        
        // attach a click event of the calendar table
        AddEvent = function()
        {
            var calendar = document.getElementById("<%= RadCalendar1.ClientID %>");
            if (typeof(calendar.addEventListener)!= "undefined")
            {
	            calendar.addEventListener("click", DeleteOldSelectedDates, false);
            }
            else if (calendar.attachEvent)
            {
	            calendar.attachEvent("onclick", DeleteOldSelectedDates);
            }
        }
        
        // in case there is other controls (e.g. from a day template) inside the cell
        // we need to get the clicked cell element (i.e. the td) 
        FindTarget = function(e) 
        { 
            var target; 
            if (e && e.target) //other browsers
            { 
                target = e.target; 
            } 
            else if (window.event && window.event.srcElement) //IE
            { 
                target = window.event.srcElement; 
            }

            if (!target) 
            { 
                return null; 
            } 
            
            while (target != null)
            {      
                if (target.tagName.toLowerCase() == 'td')
                {
                    break;
                }                
                target = target.parentNode;                
            }
            
            if (target.tagName.toLowerCase() != 'td')
            { 
                return null; 
            }             
            return target;
        }     
          
        // the cell id is constructed from the day it is concerned with, so we can parse the date from it          
        GetDateFromID = function(ID)
        {
            var dateMatch = ID.match(/.*?_(\d+)_(\d+)_(\d+)/);
            return [dateMatch[1], dateMatch[2], dateMatch[3]];
        }
    </script>

            <radCln:RadCalendar ID="RadCalendar1" runat="server" EnableMultiSelect="true" UseColumnHeadersAsSelectors="false"
                EnableViewSelector="false">
                <ClientEvents OnDateClick="ClearAll" OnLoad="AddEvent" />
            </radCln:RadCalendar>
    </div>
    </form>
</body>
</html>
